# esp32_BNO08x: BNO08x::bno08x_reports_t Struct Reference

Loading...
Searching...
No Matches
BNO08x::bno08x_reports_t Struct Reference

Contains report implementations. More...

`#include <BNO08x.hpp>`

Collaboration diagram for BNO08x::bno08x_reports_t:
[legend]

## Public Member Functions

| bno08x_reports_t (BNO08xPrivateTypes::bno08x_sync_ctx_t *sync_ctx)

## Public Attributes

BNO08xRptAcceleration | accelerometer
BNO08xRptLinearAcceleration | linear_accelerometer
BNO08xRptGravity | gravity
BNO08xRptCalMagnetometer | cal_magnetometer
BNO08xRptUncalMagnetometer | uncal_magnetometer
BNO08xRptCalGyro | cal_gyro
BNO08xRptUncalGyro | uncal_gyro
BNO08xRptRV | rv
BNO08xRptGameRV | rv_game
BNO08xRptARVRStabilizedRV | rv_ARVR_stabilized
BNO08xRptARVRStabilizedGameRV | rv_ARVR_stabilized_game
BNO08xRptIGyroRV | rv_gyro_integrated
BNO08xRptRVGeomag | rv_geomagnetic
BNO08xRptRawMEMSGyro | raw_gyro
BNO08xRptRawMEMSAccelerometer | raw_accelerometer
BNO08xRptRawMEMSMagnetometer | raw_magnetometer
BNO08xRptStepCounter | step_counter
BNO08xRptActivityClassifier | activity_classifier
BNO08xRptStabilityClassifier | stability_classifier
BNO08xRptShakeDetector | shake_detector
BNO08xRptTapDetector | tap_detector

## Detailed Description

Contains report implementations.

## Constructor & Destructor Documentation

## bno08x_reports_t()

BNO08x::bno08x_reports_t::bno08x_reports_t | ( | BNO08xPrivateTypes::bno08x_sync_ctx_t * | sync_ctx | ) |

inline

## Member Data Documentation

## accelerometer

BNO08xRptAcceleration BNO08x::bno08x_reports_t::accelerometer

## activity_classifier

BNO08xRptActivityClassifier BNO08x::bno08x_reports_t::activity_classifier

## cal_gyro

BNO08xRptCalGyro BNO08x::bno08x_reports_t::cal_gyro

## cal_magnetometer

BNO08xRptCalMagnetometer BNO08x::bno08x_reports_t::cal_magnetometer

## gravity

BNO08xRptGravity BNO08x::bno08x_reports_t::gravity

## linear_accelerometer

BNO08xRptLinearAcceleration BNO08x::bno08x_reports_t::linear_accelerometer

## raw_accelerometer

BNO08xRptRawMEMSAccelerometer BNO08x::bno08x_reports_t::raw_accelerometer

## raw_gyro

BNO08xRptRawMEMSGyro BNO08x::bno08x_reports_t::raw_gyro

## raw_magnetometer

BNO08xRptRawMEMSMagnetometer BNO08x::bno08x_reports_t::raw_magnetometer

## rv

BNO08xRptRV BNO08x::bno08x_reports_t::rv

## rv_ARVR_stabilized

BNO08xRptARVRStabilizedRV BNO08x::bno08x_reports_t::rv_ARVR_stabilized

## rv_ARVR_stabilized_game

BNO08xRptARVRStabilizedGameRV BNO08x::bno08x_reports_t::rv_ARVR_stabilized_game

## rv_game

BNO08xRptGameRV BNO08x::bno08x_reports_t::rv_game

## rv_geomagnetic

BNO08xRptRVGeomag BNO08x::bno08x_reports_t::rv_geomagnetic

## rv_gyro_integrated

BNO08xRptIGyroRV BNO08x::bno08x_reports_t::rv_gyro_integrated

## shake_detector

BNO08xRptShakeDetector BNO08x::bno08x_reports_t::shake_detector

## stability_classifier

BNO08xRptStabilityClassifier BNO08x::bno08x_reports_t::stability_classifier

## step_counter

BNO08xRptStepCounter BNO08x::bno08x_reports_t::step_counter

## tap_detector

BNO08xRptTapDetector BNO08x::bno08x_reports_t::tap_detector

## uncal_gyro

BNO08xRptUncalGyro BNO08x::bno08x_reports_t::uncal_gyro

## uncal_magnetometer

BNO08xRptUncalMagnetometer BNO08x::bno08x_reports_t::uncal_magnetometer

The documentation for this struct was generated from the following file:

- include/BNO08x.hpp